%define name xmms-crystality
%define oname crystality-plugin
%define version 0.92
%define release 6mdk

Summary: Realtime plugin for remastering mp3 sound
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{oname}-%{version}.tar.bz2
Patch: crystality-plugin-0.92-optflags.patch.bz2
Patch1: crystality-plugin-0.92-fix-crash.patch.bz2
Patch2: crystality-plugin-0.92-gcc3.3.patch.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xmms
BuildRequires: libxmms-devel
URL: http://fanthom.math.put.poznan.pl/~gyver/crystality/

%description

This software consists of XMMS plugin and stdin/stdout plugin. It was
written for realtime remastering of sound from mp3 files.  You will
need a reasonably good stereo and a good ear to notice quality
improvement, otherwise this is not for you.  This plugin tries to
patch mp3 format flaws, not a poor audio hardware!  Yes, you should be
able to hear well enough (sorry) - for some of my friends plugin is a
cool thing, while the others does not hear nothing but echo and stereo
expander (well, you will hear every effect if you set it to the
maximum, but it will not sound nice).


%prep
%setup -q -n %oname-%version
%patch
%patch1
%patch2 -p1

%build
%make clean all OPTFLAGS="%optflags"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_libdir/xmms/Effect %buildroot/%_bindir
cp crystality-stdio %buildroot/%_bindir
cp libcrystality.so %buildroot/%_libdir/xmms/Effect
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%_bindir/crystality-stdio
%_libdir/xmms/Effect/libcrystality.so

%changelog
* Fri Jul  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.92-6mdk
- fix buildrequires
- drop prefix 
- rebuild

* Tue Jun 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.92-5mdk
- buildrequires
- patch for gcc 3.3

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.92-4mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.92-3mdk
- rebuild

* Fri Mar  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.92-2mdk
- fix a bug that caused xmms to crash if ~/.xmms/config was missing

* Tue Dec 18 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.92-1mdk
- patch Makefile for our optimization flags
- initial package


# end of file
